Skip to main content
GET
/
api
/
v2
/
invoices
/
{invoice_id}
Get an invoice by id
curl --request GET \
  --url https://api.pawpayments.com/api/v2/invoices/{invoice_id} \
  --header 'x-api-key: <api-key>'
{
  "ok": true,
  "result": {
    "accepted_coins": [
      "usdt_tron",
      "usdc_eth"
    ],
    "address_from": null,
    "address_to": "TXk2Y5...redacted",
    "amount": 49.5,
    "asset": "usdt_tron",
    "billing_type": "fiat",
    "created_at": 1763398800,
    "description": "1 month subscription",
    "excluded_coins": null,
    "expires_at": 1763400600,
    "external_id": "f2c8a3d1-4b7e-4f8a-9c1d-2e3b4a5c6d7e",
    "extra": "order-12345",
    "fee_bearer": "merchant",
    "fiat_amount": 50,
    "fiat_currency": "USD",
    "initial_amount": 49.5,
    "initial_asset": "usdt_tron",
    "initial_fiat_amount": 50,
    "metadata": {
      "customer_id": "u_42"
    },
    "notify_url": "https://shop.example.com/webhook/paw",
    "on_cancel_url": "https://shop.example.com/cancel",
    "on_paid_url": "https://shop.example.com/thanks",
    "order_id": "65f1c3a4e8b1c2d3a4b5c6d7",
    "original_amount": 50,
    "payer_info": null,
    "payment_url": "https://pay.pawpayments.io/checkout/f2c8a3d1-4b7e-4f8a-9c1d-2e3b4a5c6d7e",
    "permanent_address_id": null,
    "price_modifier": -1,
    "processed_at": null,
    "received_amount": 0,
    "status": "created",
    "title": "Premium plan",
    "txid": null,
    "type": "token",
    "underpay_tolerance": 0.01,
    "user_id": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pawpayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

invoice_id
string
required

Unique 24-character hex invoice id.

Response

OK

ok
boolean
required
result
Invoice · object
required
Example:
{
  "accepted_coins": ["usdt_tron", "usdc_eth"],
  "address_from": null,
  "address_to": "TXk2Y5...redacted",
  "amount": 49.5,
  "asset": "usdt_tron",
  "billing_type": "fiat",
  "created_at": 1763398800,
  "description": "1 month subscription",
  "excluded_coins": null,
  "expires_at": 1763400600,
  "external_id": "f2c8a3d1-4b7e-4f8a-9c1d-2e3b4a5c6d7e",
  "extra": "order-12345",
  "fee_bearer": "merchant",
  "fiat_amount": 50,
  "fiat_currency": "USD",
  "initial_amount": 49.5,
  "initial_asset": "usdt_tron",
  "initial_fiat_amount": 50,
  "metadata": { "customer_id": "u_42" },
  "notify_url": "https://shop.example.com/webhook/paw",
  "on_cancel_url": "https://shop.example.com/cancel",
  "on_paid_url": "https://shop.example.com/thanks",
  "order_id": "65f1c3a4e8b1c2d3a4b5c6d7",
  "original_amount": 50,
  "payer_info": null,
  "payment_url": "https://pay.pawpayments.io/checkout/f2c8a3d1-4b7e-4f8a-9c1d-2e3b4a5c6d7e",
  "permanent_address_id": null,
  "price_modifier": -1,
  "processed_at": null,
  "received_amount": 0,
  "status": "created",
  "title": "Premium plan",
  "txid": null,
  "type": "token",
  "underpay_tolerance": 0.01,
  "user_id": null
}